/**
 * File: /src/components/Heading/H1.tsx
 * Project: @native-theme-ui/core
 * File Created: 13-06-2022 00:51:44
 * Author: Clay Risser
 * -----
 * Last Modified: 01-09-2022 12:27:25
 * Modified By: Clay Risser
 * -----
 * Risser Labs LLC (c) Copyright 2021 - 2022
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import React, { FC, ComponentProps } from "react";
import { AutoContrast } from "@risserlabs/auto-contrast";
declare const StyledH1: React.ComponentType<import("dripsy").StyledProps<"text"> & ((Pick<import("@expo/html-elements/build/primitives/Text").TextProps, "children" | "testID" | "onLongPress" | "onPress" | "onPressIn" | "onPressOut" | "key" | "allowFontScaling" | "ellipsizeMode" | "lineBreakMode" | "numberOfLines" | "onLayout" | "onTextLayout" | "nativeID" | "maxFontSizeMultiplier" | "adjustsFontSizeToFit" | "minimumFontScale" | "suppressHighlighting" | "selectable" | "selectionColor" | "textBreakStrategy" | "dataDetectorType" | "android_hyphenationFrequency" | "accessible" | "accessibilityActions" | "accessibilityLabel" | "accessibilityState" | "accessibilityHint" | "accessibilityValue" | "onAccessibilityAction" | "accessibilityLiveRegion" | "importantForAccessibility" | "accessibilityElementsHidden" | "accessibilityViewIsModal" | "onAccessibilityEscape" | "onAccessibilityTap" | "onMagicTap" | "accessibilityIgnoresInvertColors" | keyof import("@expo/html-elements/build/primitives/Text").WebTextProps> & React.RefAttributes<React.Component<import("@expo/html-elements/build/primitives/Text").TextProps, any, any>>) | (Pick<Omit<import("react-native").TextProps & React.ClassAttributes<typeof import("react-native").Text>, "style" | "accessibilityRole"> & import("@expo/html-elements/build/primitives/Text").WebTextProps & {
    children?: React.ReactNode;
}, "children" | "testID" | "onLongPress" | "onPress" | "onPressIn" | "onPressOut" | "key" | "allowFontScaling" | "ellipsizeMode" | "lineBreakMode" | "numberOfLines" | "onLayout" | "onTextLayout" | "nativeID" | "maxFontSizeMultiplier" | "adjustsFontSizeToFit" | "minimumFontScale" | "suppressHighlighting" | "selectable" | "selectionColor" | "textBreakStrategy" | "dataDetectorType" | "android_hyphenationFrequency" | "accessible" | "accessibilityActions" | "accessibilityLabel" | "accessibilityState" | "accessibilityHint" | "accessibilityValue" | "onAccessibilityAction" | "accessibilityLiveRegion" | "importantForAccessibility" | "accessibilityElementsHidden" | "accessibilityViewIsModal" | "onAccessibilityEscape" | "onAccessibilityTap" | "onMagicTap" | "accessibilityIgnoresInvertColors" | keyof import("@expo/html-elements/build/primitives/Text").WebTextProps> & {
    ref?: ((instance: typeof import("react-native").Text | null) => void) | React.RefObject<typeof import("react-native").Text> | null | undefined;
}))>;
export declare type H1Props = ComponentProps<typeof StyledH1> & {
    autoContrast?: AutoContrast;
};
export declare const H1: FC<H1Props>;
export {};
