(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(["exports", "@babel/runtime/helpers/extends", "react", "@risserlabs/auto-contrast", "dripsy", "@expo/html-elements"], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require("@babel/runtime/helpers/extends"), require("react"), require("@risserlabs/auto-contrast"), require("dripsy"), require("@expo/html-elements"));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global._extends, global.react, global.autoContrast, global.dripsy, global.htmlElements);
    global.H1 = mod.exports;
  }
})(typeof globalThis !== "undefined" ? globalThis : typeof self !== "undefined" ? self : this, function (_exports, _extends2, _react, _autoContrast, _dripsy, _htmlElements) {
  "use strict";

  var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

  Object.defineProperty(_exports, "__esModule", {
    value: true
  });
  _exports.H1 = void 0;
  _extends2 = _interopRequireDefault(_extends2);
  _react = _interopRequireDefault(_react);

  /**
   * File: /src/components/Heading/H1.tsx
   * Project: @native-theme-ui/core
   * File Created: 13-06-2022 00:51:44
   * Author: Clay Risser
   * -----
   * Last Modified: 01-09-2022 12:27:25
   * Modified By: Clay Risser
   * -----
   * Risser Labs LLC (c) Copyright 2021 - 2022
   *
   * Licensed under the Apache License, Version 2.0 (the "License");
   * you may not use this file except in compliance with the License.
   * You may obtain a copy of the License at
   *
   *     http://www.apache.org/licenses/LICENSE-2.0
   *
   * Unless required by applicable law or agreed to in writing, software
   * distributed under the License is distributed on an "AS IS" BASIS,
   * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   * See the License for the specific language governing permissions and
   * limitations under the License.
   */
  const themeKey = "text";
  const defaultStyle = {
    fontFamily: "h1",
    fontWeight: "h1"
  };
  const StyledH1 = (0, _dripsy.styled)(_htmlElements.H1, {
    themeKey,
    defaultVariant: "h1"
  })(defaultStyle);

  const H1 = props => {
    const sx = (0, _autoContrast.useAutoContrast)(props, defaultStyle, themeKey);
    return /*#__PURE__*/_react.default.createElement(StyledH1, (0, _extends2.default)({}, props, {
      sx: sx
    }));
  };

  _exports.H1 = H1;
});
//# sourceMappingURL=H1.js.map