/**
 * File: /src/components/Heading/index.tsx
 * Project: @native-theme-ui/core
 * File Created: 19-08-2022 08:29:43
 * Author: Clay Risser
 * -----
 * Last Modified: 01-09-2022 12:27:52
 * Modified By: Clay Risser
 * -----
 * Risser Labs LLC (c) Copyright 2021 - 2022
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import React, { FC, ComponentProps } from "react";
import { AutoContrast } from "@risserlabs/auto-contrast";
import { H1, H1Props } from "./H1";
declare const StyledHeading: React.ComponentType<import("dripsy").StyledProps<"text"> & (((Pick<import("dripsy").StyledProps<"text"> & Pick<import("@expo/html-elements/build/primitives/Text").TextProps, "children" | "testID" | "onLongPress" | "onPress" | "onPressIn" | "onPressOut" | "key" | "allowFontScaling" | "ellipsizeMode" | "lineBreakMode" | "numberOfLines" | "onLayout" | "onTextLayout" | "nativeID" | "maxFontSizeMultiplier" | "adjustsFontSizeToFit" | "minimumFontScale" | "suppressHighlighting" | "selectable" | "selectionColor" | "textBreakStrategy" | "dataDetectorType" | "android_hyphenationFrequency" | "accessible" | "accessibilityActions" | "accessibilityLabel" | "accessibilityState" | "accessibilityHint" | "accessibilityValue" | "onAccessibilityAction" | "accessibilityLiveRegion" | "importantForAccessibility" | "accessibilityElementsHidden" | "accessibilityViewIsModal" | "onAccessibilityEscape" | "onAccessibilityTap" | "onMagicTap" | "accessibilityIgnoresInvertColors" | keyof import("@expo/html-elements/build/primitives/Text").WebTextProps> & React.RefAttributes<React.Component<import("@expo/html-elements/build/primitives/Text").TextProps, any, any>> & {
    autoContrast?: AutoContrast | undefined;
}, "autoContrast" | "children" | "testID" | "onLongPress" | "onPress" | "onPressIn" | "onPressOut" | "key" | "allowFontScaling" | "ellipsizeMode" | "lineBreakMode" | "numberOfLines" | "onLayout" | "onTextLayout" | "nativeID" | "maxFontSizeMultiplier" | "adjustsFontSizeToFit" | "minimumFontScale" | "suppressHighlighting" | "selectable" | "selectionColor" | "textBreakStrategy" | "dataDetectorType" | "android_hyphenationFrequency" | "accessible" | "accessibilityActions" | "accessibilityLabel" | "accessibilityState" | "accessibilityHint" | "accessibilityValue" | "onAccessibilityAction" | "accessibilityLiveRegion" | "importantForAccessibility" | "accessibilityElementsHidden" | "accessibilityViewIsModal" | "onAccessibilityEscape" | "onAccessibilityTap" | "onMagicTap" | "accessibilityIgnoresInvertColors" | keyof import("dripsy").StyledProps<"text"> | keyof import("@expo/html-elements/build/primitives/Text").WebTextProps> | Pick<import("dripsy").StyledProps<"text"> & Pick<Omit<import("react-native").TextProps & React.ClassAttributes<typeof import("react-native").Text>, "style" | "accessibilityRole"> & import("@expo/html-elements/build/primitives/Text").WebTextProps & {
    children?: React.ReactNode;
}, "children" | "testID" | "onLongPress" | "onPress" | "onPressIn" | "onPressOut" | "key" | "allowFontScaling" | "ellipsizeMode" | "lineBreakMode" | "numberOfLines" | "onLayout" | "onTextLayout" | "nativeID" | "maxFontSizeMultiplier" | "adjustsFontSizeToFit" | "minimumFontScale" | "suppressHighlighting" | "selectable" | "selectionColor" | "textBreakStrategy" | "dataDetectorType" | "android_hyphenationFrequency" | "accessible" | "accessibilityActions" | "accessibilityLabel" | "accessibilityState" | "accessibilityHint" | "accessibilityValue" | "onAccessibilityAction" | "accessibilityLiveRegion" | "importantForAccessibility" | "accessibilityElementsHidden" | "accessibilityViewIsModal" | "onAccessibilityEscape" | "onAccessibilityTap" | "onMagicTap" | "accessibilityIgnoresInvertColors" | keyof import("@expo/html-elements/build/primitives/Text").WebTextProps> & {
    ref?: ((instance: typeof import("react-native").Text | null) => void) | React.RefObject<typeof import("react-native").Text> | null | undefined;
} & {
    autoContrast?: AutoContrast | undefined;
}, "autoContrast" | "children" | "testID" | "onLongPress" | "onPress" | "onPressIn" | "onPressOut" | "key" | "allowFontScaling" | "ellipsizeMode" | "lineBreakMode" | "numberOfLines" | "onLayout" | "onTextLayout" | "nativeID" | "maxFontSizeMultiplier" | "adjustsFontSizeToFit" | "minimumFontScale" | "suppressHighlighting" | "selectable" | "selectionColor" | "textBreakStrategy" | "dataDetectorType" | "android_hyphenationFrequency" | "accessible" | "accessibilityActions" | "accessibilityLabel" | "accessibilityState" | "accessibilityHint" | "accessibilityValue" | "onAccessibilityAction" | "accessibilityLiveRegion" | "importantForAccessibility" | "accessibilityElementsHidden" | "accessibilityViewIsModal" | "onAccessibilityEscape" | "onAccessibilityTap" | "onMagicTap" | "accessibilityIgnoresInvertColors" | keyof import("dripsy").StyledProps<"text"> | keyof import("@expo/html-elements/build/primitives/Text").WebTextProps> | Pick<import("dripsy").StyledProps<"text"> & Pick<import("@expo/html-elements/build/primitives/Text").TextProps, "children" | "testID" | "onLongPress" | "onPress" | "onPressIn" | "onPressOut" | "key" | "allowFontScaling" | "ellipsizeMode" | "lineBreakMode" | "numberOfLines" | "onLayout" | "onTextLayout" | "nativeID" | "maxFontSizeMultiplier" | "adjustsFontSizeToFit" | "minimumFontScale" | "suppressHighlighting" | "selectable" | "selectionColor" | "textBreakStrategy" | "dataDetectorType" | "android_hyphenationFrequency" | "accessible" | "accessibilityActions" | "accessibilityLabel" | "accessibilityState" | "accessibilityHint" | "accessibilityValue" | "onAccessibilityAction" | "accessibilityLiveRegion" | "importantForAccessibility" | "accessibilityElementsHidden" | "accessibilityViewIsModal" | "onAccessibilityEscape" | "onAccessibilityTap" | "onMagicTap" | "accessibilityIgnoresInvertColors" | keyof import("@expo/html-elements/build/primitives/Text").WebTextProps> & React.RefAttributes<React.Component<import("@expo/html-elements/build/primitives/Text").TextProps, any, any>> & {
    children?: React.ReactNode;
} & {
    autoContrast?: AutoContrast | undefined;
}, "autoContrast" | "children" | "testID" | "onLongPress" | "onPress" | "onPressIn" | "onPressOut" | "key" | "allowFontScaling" | "ellipsizeMode" | "lineBreakMode" | "numberOfLines" | "onLayout" | "onTextLayout" | "nativeID" | "maxFontSizeMultiplier" | "adjustsFontSizeToFit" | "minimumFontScale" | "suppressHighlighting" | "selectable" | "selectionColor" | "textBreakStrategy" | "dataDetectorType" | "android_hyphenationFrequency" | "accessible" | "accessibilityActions" | "accessibilityLabel" | "accessibilityState" | "accessibilityHint" | "accessibilityValue" | "onAccessibilityAction" | "accessibilityLiveRegion" | "importantForAccessibility" | "accessibilityElementsHidden" | "accessibilityViewIsModal" | "onAccessibilityEscape" | "onAccessibilityTap" | "onMagicTap" | "accessibilityIgnoresInvertColors" | keyof import("dripsy").StyledProps<"text"> | keyof import("@expo/html-elements/build/primitives/Text").WebTextProps> | Pick<import("dripsy").StyledProps<"text"> & Pick<Omit<import("react-native").TextProps & React.ClassAttributes<typeof import("react-native").Text>, "style" | "accessibilityRole"> & import("@expo/html-elements/build/primitives/Text").WebTextProps & {
    children?: React.ReactNode;
}, "children" | "testID" | "onLongPress" | "onPress" | "onPressIn" | "onPressOut" | "key" | "allowFontScaling" | "ellipsizeMode" | "lineBreakMode" | "numberOfLines" | "onLayout" | "onTextLayout" | "nativeID" | "maxFontSizeMultiplier" | "adjustsFontSizeToFit" | "minimumFontScale" | "suppressHighlighting" | "selectable" | "selectionColor" | "textBreakStrategy" | "dataDetectorType" | "android_hyphenationFrequency" | "accessible" | "accessibilityActions" | "accessibilityLabel" | "accessibilityState" | "accessibilityHint" | "accessibilityValue" | "onAccessibilityAction" | "accessibilityLiveRegion" | "importantForAccessibility" | "accessibilityElementsHidden" | "accessibilityViewIsModal" | "onAccessibilityEscape" | "onAccessibilityTap" | "onMagicTap" | "accessibilityIgnoresInvertColors" | keyof import("@expo/html-elements/build/primitives/Text").WebTextProps> & {
    ref?: ((instance: typeof import("react-native").Text | null) => void) | React.RefObject<typeof import("react-native").Text> | null | undefined;
} & {
    children?: React.ReactNode;
} & {
    autoContrast?: AutoContrast | undefined;
}, "autoContrast" | "children" | "testID" | "onLongPress" | "onPress" | "onPressIn" | "onPressOut" | "key" | "allowFontScaling" | "ellipsizeMode" | "lineBreakMode" | "numberOfLines" | "onLayout" | "onTextLayout" | "nativeID" | "maxFontSizeMultiplier" | "adjustsFontSizeToFit" | "minimumFontScale" | "suppressHighlighting" | "selectable" | "selectionColor" | "textBreakStrategy" | "dataDetectorType" | "android_hyphenationFrequency" | "accessible" | "accessibilityActions" | "accessibilityLabel" | "accessibilityState" | "accessibilityHint" | "accessibilityValue" | "onAccessibilityAction" | "accessibilityLiveRegion" | "importantForAccessibility" | "accessibilityElementsHidden" | "accessibilityViewIsModal" | "onAccessibilityEscape" | "onAccessibilityTap" | "onMagicTap" | "accessibilityIgnoresInvertColors" | keyof import("dripsy").StyledProps<"text"> | keyof import("@expo/html-elements/build/primitives/Text").WebTextProps>) & React.RefAttributes<React.Component<H1Props, any, any>>) | (H1Props & {
    children?: React.ReactNode;
}))>;
export declare type HeadingProps = ComponentProps<typeof StyledHeading> & {
    autoContrast?: AutoContrast;
};
export declare const Heading: FC<HeadingProps>;
export { H1 };
export type { H1Props };
export * from "./H2";
export * from "./H3";
export * from "./H4";
export * from "./H5";
export * from "./H6";
