/**
 * File: /src/components/Text/index.tsx
 * Project: @native-theme-ui/core
 * File Created: 13-06-2022 00:51:44
 * Author: Clay Risser
 * -----
 * Last Modified: 02-09-2022 11:47:50
 * Modified By: Clay Risser
 * -----
 * Risser Labs LLC (c) Copyright 2021 - 2022
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
/// <reference types="react-native-reanimated" />
import React, { FC, ComponentProps } from "react";
import { TextProps } from "./props";
declare const StyledMotiText: React.ComponentType<import("dripsy").StyledProps<"text"> & ((Pick<import("react-native").TextProps & {
    animatedProps?: Partial<import("react-native").TextProps> | undefined;
    layout?: import("react-native-reanimated").BaseAnimationBuilder | import("react-native-reanimated").LayoutAnimationFunction | typeof import("react-native-reanimated").BaseAnimationBuilder | undefined;
    entering?: import("react-native-reanimated").BaseAnimationBuilder | typeof import("react-native-reanimated").BaseAnimationBuilder | ((targetValues: import("react-native-reanimated").EntryAnimationsValues) => import("react-native-reanimated").LayoutAnimation) | ((targetValues: import("react-native-reanimated").ExitAnimationsValues) => import("react-native-reanimated").LayoutAnimation) | Keyframe | undefined;
    exiting?: import("react-native-reanimated").BaseAnimationBuilder | typeof import("react-native-reanimated").BaseAnimationBuilder | Keyframe | ((targetValues: import("react-native-reanimated").EntryAnimationsValues) => import("react-native-reanimated").LayoutAnimation) | ((targetValues: import("react-native-reanimated").ExitAnimationsValues) => import("react-native-reanimated").LayoutAnimation) | undefined;
} & import("moti").MotiProps<import("react-native").ViewStyle | import("react-native").TextStyle | import("react-native").ImageStyle, import("moti").StyleValueWithReplacedTransforms<import("react-native").ViewStyle | import("react-native").TextStyle | import("react-native").ImageStyle>, Partial<import("moti").StyleValueWithSequenceArraysWithoutTransform<import("moti").StyleValueWithReplacedTransforms<import("react-native").ViewStyle | import("react-native").TextStyle | import("react-native").ImageStyle>, "borderRadius" | "borderTopWidth" | "zIndex" | "alignContent" | "alignItems" | "alignSelf" | "aspectRatio" | "backfaceVisibility" | "backgroundColor" | "borderBottomLeftRadius" | "borderBottomRightRadius" | "borderBottomWidth" | "borderLeftWidth" | "borderRightWidth" | "borderTopLeftRadius" | "borderTopRightRadius" | "bottom" | "direction" | "display" | "flexBasis" | "flexDirection" | "flexGrow" | "flexShrink" | "flexWrap" | "height" | "justifyContent" | "left" | "marginBottom" | "marginLeft" | "marginRight" | "marginTop" | "maxHeight" | "maxWidth" | "minHeight" | "minWidth" | "opacity" | "paddingBottom" | "paddingLeft" | "paddingRight" | "paddingTop" | "perspective" | "position" | "right" | "rotate" | "scale" | "top" | "transform" | "width" | "borderColor" | "borderWidth" | "flex" | "margin" | "overflow" | "padding" | "shadowColor" | "shadowOffset" | "shadowOpacity" | "shadowRadius" | "marginVertical" | "marginHorizontal" | "paddingHorizontal" | "paddingVertical" | "borderEndWidth" | "borderStartWidth" | "end" | "marginEnd" | "marginStart" | "paddingEnd" | "paddingStart" | "start" | "transformMatrix" | "rotation" | "scaleX" | "scaleY" | "translateX" | "translateY" | "rotateX" | "rotateY" | "rotateZ" | "skewX" | "skewY", "borderRadius" | "borderTopWidth" | "zIndex" | "alignContent" | "alignItems" | "alignSelf" | "aspectRatio" | "backfaceVisibility" | "backgroundColor" | "borderBottomLeftRadius" | "borderBottomRightRadius" | "borderBottomWidth" | "borderLeftWidth" | "borderRightWidth" | "borderTopLeftRadius" | "borderTopRightRadius" | "bottom" | "direction" | "display" | "flexBasis" | "flexDirection" | "flexGrow" | "flexShrink" | "flexWrap" | "height" | "justifyContent" | "left" | "marginBottom" | "marginLeft" | "marginRight" | "marginTop" | "maxHeight" | "maxWidth" | "minHeight" | "minWidth" | "opacity" | "paddingBottom" | "paddingLeft" | "paddingRight" | "paddingTop" | "perspective" | "position" | "right" | "rotate" | "scale" | "top" | "width" | "borderColor" | "borderWidth" | "flex" | "margin" | "overflow" | "padding" | "shadowColor" | "shadowOffset" | "shadowOpacity" | "shadowRadius" | "marginVertical" | "marginHorizontal" | "paddingHorizontal" | "paddingVertical" | "borderEndWidth" | "borderStartWidth" | "end" | "marginEnd" | "marginStart" | "paddingEnd" | "paddingStart" | "start" | "transformMatrix" | "rotation" | "scaleX" | "scaleY" | "translateX" | "translateY" | "rotateX" | "rotateY" | "rotateZ" | "skewX" | "skewY"> & import("moti").StyleValueWithSequenceArraysWithTransform>> & {
    children?: React.ReactNode;
} & React.RefAttributes<unknown>, "layout" | "key" | keyof import("react-native").TextProps | "animatedProps" | "entering" | "exiting" | keyof import("moti").MotiProps<import("react-native").ViewStyle | import("react-native").TextStyle | import("react-native").ImageStyle, import("moti").StyleValueWithReplacedTransforms<import("react-native").ViewStyle | import("react-native").TextStyle | import("react-native").ImageStyle>, Partial<import("moti").StyleValueWithSequenceArraysWithoutTransform<import("moti").StyleValueWithReplacedTransforms<import("react-native").ViewStyle | import("react-native").TextStyle | import("react-native").ImageStyle>, "borderRadius" | "borderTopWidth" | "zIndex" | "alignContent" | "alignItems" | "alignSelf" | "aspectRatio" | "backfaceVisibility" | "backgroundColor" | "borderBottomLeftRadius" | "borderBottomRightRadius" | "borderBottomWidth" | "borderLeftWidth" | "borderRightWidth" | "borderTopLeftRadius" | "borderTopRightRadius" | "bottom" | "direction" | "display" | "flexBasis" | "flexDirection" | "flexGrow" | "flexShrink" | "flexWrap" | "height" | "justifyContent" | "left" | "marginBottom" | "marginLeft" | "marginRight" | "marginTop" | "maxHeight" | "maxWidth" | "minHeight" | "minWidth" | "opacity" | "paddingBottom" | "paddingLeft" | "paddingRight" | "paddingTop" | "perspective" | "position" | "right" | "rotate" | "scale" | "top" | "transform" | "width" | "borderColor" | "borderWidth" | "flex" | "margin" | "overflow" | "padding" | "shadowColor" | "shadowOffset" | "shadowOpacity" | "shadowRadius" | "marginVertical" | "marginHorizontal" | "paddingHorizontal" | "paddingVertical" | "borderEndWidth" | "borderStartWidth" | "end" | "marginEnd" | "marginStart" | "paddingEnd" | "paddingStart" | "start" | "transformMatrix" | "rotation" | "scaleX" | "scaleY" | "translateX" | "translateY" | "rotateX" | "rotateY" | "rotateZ" | "skewX" | "skewY", "borderRadius" | "borderTopWidth" | "zIndex" | "alignContent" | "alignItems" | "alignSelf" | "aspectRatio" | "backfaceVisibility" | "backgroundColor" | "borderBottomLeftRadius" | "borderBottomRightRadius" | "borderBottomWidth" | "borderLeftWidth" | "borderRightWidth" | "borderTopLeftRadius" | "borderTopRightRadius" | "bottom" | "direction" | "display" | "flexBasis" | "flexDirection" | "flexGrow" | "flexShrink" | "flexWrap" | "height" | "justifyContent" | "left" | "marginBottom" | "marginLeft" | "marginRight" | "marginTop" | "maxHeight" | "maxWidth" | "minHeight" | "minWidth" | "opacity" | "paddingBottom" | "paddingLeft" | "paddingRight" | "paddingTop" | "perspective" | "position" | "right" | "rotate" | "scale" | "top" | "width" | "borderColor" | "borderWidth" | "flex" | "margin" | "overflow" | "padding" | "shadowColor" | "shadowOffset" | "shadowOpacity" | "shadowRadius" | "marginVertical" | "marginHorizontal" | "paddingHorizontal" | "paddingVertical" | "borderEndWidth" | "borderStartWidth" | "end" | "marginEnd" | "marginStart" | "paddingEnd" | "paddingStart" | "start" | "transformMatrix" | "rotation" | "scaleX" | "scaleY" | "translateX" | "translateY" | "rotateX" | "rotateY" | "rotateZ" | "skewX" | "skewY"> & import("moti").StyleValueWithSequenceArraysWithTransform>>> & React.RefAttributes<React.Component<import("react-native").TextProps & {
    animatedProps?: Partial<import("react-native").TextProps> | undefined;
    layout?: import("react-native-reanimated").BaseAnimationBuilder | import("react-native-reanimated").LayoutAnimationFunction | typeof import("react-native-reanimated").BaseAnimationBuilder | undefined;
    entering?: import("react-native-reanimated").BaseAnimationBuilder | typeof import("react-native-reanimated").BaseAnimationBuilder | ((targetValues: import("react-native-reanimated").EntryAnimationsValues) => import("react-native-reanimated").LayoutAnimation) | ((targetValues: import("react-native-reanimated").ExitAnimationsValues) => import("react-native-reanimated").LayoutAnimation) | Keyframe | undefined;
    exiting?: import("react-native-reanimated").BaseAnimationBuilder | typeof import("react-native-reanimated").BaseAnimationBuilder | Keyframe | ((targetValues: import("react-native-reanimated").EntryAnimationsValues) => import("react-native-reanimated").LayoutAnimation) | ((targetValues: import("react-native-reanimated").ExitAnimationsValues) => import("react-native-reanimated").LayoutAnimation) | undefined;
} & import("moti").MotiProps<import("react-native").ViewStyle | import("react-native").TextStyle | import("react-native").ImageStyle, import("moti").StyleValueWithReplacedTransforms<import("react-native").ViewStyle | import("react-native").TextStyle | import("react-native").ImageStyle>, Partial<import("moti").StyleValueWithSequenceArraysWithoutTransform<import("moti").StyleValueWithReplacedTransforms<import("react-native").ViewStyle | import("react-native").TextStyle | import("react-native").ImageStyle>, "borderRadius" | "borderTopWidth" | "zIndex" | "alignContent" | "alignItems" | "alignSelf" | "aspectRatio" | "backfaceVisibility" | "backgroundColor" | "borderBottomLeftRadius" | "borderBottomRightRadius" | "borderBottomWidth" | "borderLeftWidth" | "borderRightWidth" | "borderTopLeftRadius" | "borderTopRightRadius" | "bottom" | "direction" | "display" | "flexBasis" | "flexDirection" | "flexGrow" | "flexShrink" | "flexWrap" | "height" | "justifyContent" | "left" | "marginBottom" | "marginLeft" | "marginRight" | "marginTop" | "maxHeight" | "maxWidth" | "minHeight" | "minWidth" | "opacity" | "paddingBottom" | "paddingLeft" | "paddingRight" | "paddingTop" | "perspective" | "position" | "right" | "rotate" | "scale" | "top" | "transform" | "width" | "borderColor" | "borderWidth" | "flex" | "margin" | "overflow" | "padding" | "shadowColor" | "shadowOffset" | "shadowOpacity" | "shadowRadius" | "marginVertical" | "marginHorizontal" | "paddingHorizontal" | "paddingVertical" | "borderEndWidth" | "borderStartWidth" | "end" | "marginEnd" | "marginStart" | "paddingEnd" | "paddingStart" | "start" | "transformMatrix" | "rotation" | "scaleX" | "scaleY" | "translateX" | "translateY" | "rotateX" | "rotateY" | "rotateZ" | "skewX" | "skewY", "borderRadius" | "borderTopWidth" | "zIndex" | "alignContent" | "alignItems" | "alignSelf" | "aspectRatio" | "backfaceVisibility" | "backgroundColor" | "borderBottomLeftRadius" | "borderBottomRightRadius" | "borderBottomWidth" | "borderLeftWidth" | "borderRightWidth" | "borderTopLeftRadius" | "borderTopRightRadius" | "bottom" | "direction" | "display" | "flexBasis" | "flexDirection" | "flexGrow" | "flexShrink" | "flexWrap" | "height" | "justifyContent" | "left" | "marginBottom" | "marginLeft" | "marginRight" | "marginTop" | "maxHeight" | "maxWidth" | "minHeight" | "minWidth" | "opacity" | "paddingBottom" | "paddingLeft" | "paddingRight" | "paddingTop" | "perspective" | "position" | "right" | "rotate" | "scale" | "top" | "width" | "borderColor" | "borderWidth" | "flex" | "margin" | "overflow" | "padding" | "shadowColor" | "shadowOffset" | "shadowOpacity" | "shadowRadius" | "marginVertical" | "marginHorizontal" | "paddingHorizontal" | "paddingVertical" | "borderEndWidth" | "borderStartWidth" | "end" | "marginEnd" | "marginStart" | "paddingEnd" | "paddingStart" | "start" | "transformMatrix" | "rotation" | "scaleX" | "scaleY" | "translateX" | "translateY" | "rotateX" | "rotateY" | "rotateZ" | "skewX" | "skewY"> & import("moti").StyleValueWithSequenceArraysWithTransform>> & {
    children?: React.ReactNode;
} & React.RefAttributes<unknown>, any, any>>) | (import("react-native").TextProps & {
    animatedProps?: Partial<import("react-native").TextProps> | undefined;
    layout?: import("react-native-reanimated").BaseAnimationBuilder | import("react-native-reanimated").LayoutAnimationFunction | typeof import("react-native-reanimated").BaseAnimationBuilder | undefined;
    entering?: import("react-native-reanimated").BaseAnimationBuilder | typeof import("react-native-reanimated").BaseAnimationBuilder | ((targetValues: import("react-native-reanimated").EntryAnimationsValues) => import("react-native-reanimated").LayoutAnimation) | ((targetValues: import("react-native-reanimated").ExitAnimationsValues) => import("react-native-reanimated").LayoutAnimation) | Keyframe | undefined;
    exiting?: import("react-native-reanimated").BaseAnimationBuilder | typeof import("react-native-reanimated").BaseAnimationBuilder | Keyframe | ((targetValues: import("react-native-reanimated").EntryAnimationsValues) => import("react-native-reanimated").LayoutAnimation) | ((targetValues: import("react-native-reanimated").ExitAnimationsValues) => import("react-native-reanimated").LayoutAnimation) | undefined;
} & import("moti").MotiProps<import("react-native").ViewStyle | import("react-native").TextStyle | import("react-native").ImageStyle, import("moti").StyleValueWithReplacedTransforms<import("react-native").ViewStyle | import("react-native").TextStyle | import("react-native").ImageStyle>, Partial<import("moti").StyleValueWithSequenceArraysWithoutTransform<import("moti").StyleValueWithReplacedTransforms<import("react-native").ViewStyle | import("react-native").TextStyle | import("react-native").ImageStyle>, "borderRadius" | "borderTopWidth" | "zIndex" | "alignContent" | "alignItems" | "alignSelf" | "aspectRatio" | "backfaceVisibility" | "backgroundColor" | "borderBottomLeftRadius" | "borderBottomRightRadius" | "borderBottomWidth" | "borderLeftWidth" | "borderRightWidth" | "borderTopLeftRadius" | "borderTopRightRadius" | "bottom" | "direction" | "display" | "flexBasis" | "flexDirection" | "flexGrow" | "flexShrink" | "flexWrap" | "height" | "justifyContent" | "left" | "marginBottom" | "marginLeft" | "marginRight" | "marginTop" | "maxHeight" | "maxWidth" | "minHeight" | "minWidth" | "opacity" | "paddingBottom" | "paddingLeft" | "paddingRight" | "paddingTop" | "perspective" | "position" | "right" | "rotate" | "scale" | "top" | "transform" | "width" | "borderColor" | "borderWidth" | "flex" | "margin" | "overflow" | "padding" | "shadowColor" | "shadowOffset" | "shadowOpacity" | "shadowRadius" | "marginVertical" | "marginHorizontal" | "paddingHorizontal" | "paddingVertical" | "borderEndWidth" | "borderStartWidth" | "end" | "marginEnd" | "marginStart" | "paddingEnd" | "paddingStart" | "start" | "transformMatrix" | "rotation" | "scaleX" | "scaleY" | "translateX" | "translateY" | "rotateX" | "rotateY" | "rotateZ" | "skewX" | "skewY", "borderRadius" | "borderTopWidth" | "zIndex" | "alignContent" | "alignItems" | "alignSelf" | "aspectRatio" | "backfaceVisibility" | "backgroundColor" | "borderBottomLeftRadius" | "borderBottomRightRadius" | "borderBottomWidth" | "borderLeftWidth" | "borderRightWidth" | "borderTopLeftRadius" | "borderTopRightRadius" | "bottom" | "direction" | "display" | "flexBasis" | "flexDirection" | "flexGrow" | "flexShrink" | "flexWrap" | "height" | "justifyContent" | "left" | "marginBottom" | "marginLeft" | "marginRight" | "marginTop" | "maxHeight" | "maxWidth" | "minHeight" | "minWidth" | "opacity" | "paddingBottom" | "paddingLeft" | "paddingRight" | "paddingTop" | "perspective" | "position" | "right" | "rotate" | "scale" | "top" | "width" | "borderColor" | "borderWidth" | "flex" | "margin" | "overflow" | "padding" | "shadowColor" | "shadowOffset" | "shadowOpacity" | "shadowRadius" | "marginVertical" | "marginHorizontal" | "paddingHorizontal" | "paddingVertical" | "borderEndWidth" | "borderStartWidth" | "end" | "marginEnd" | "marginStart" | "paddingEnd" | "paddingStart" | "start" | "transformMatrix" | "rotation" | "scaleX" | "scaleY" | "translateX" | "translateY" | "rotateX" | "rotateY" | "rotateZ" | "skewX" | "skewY"> & import("moti").StyleValueWithSequenceArraysWithTransform>> & {
    children?: React.ReactNode;
} & React.RefAttributes<unknown> & {
    children?: React.ReactNode;
}))>;
export declare type StyledMotiTextProps = ComponentProps<typeof StyledMotiText>;
export declare const Text: FC<TextProps>;
export type { TextProps };
